unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Runner, ExtCtrls;

type
  TForm1 = class(TForm)
    Runner1: TRunner;
    OpenDialog1: TOpenDialog;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Runner1AppTerminate(App: TAppInfo);
    procedure Runner1AppIdle(App: TAppInfo);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    Runner1.FileToRun := OpenDialog1.FileName;
    Runner1.Run;
  end;
end;

procedure TForm1.Runner1AppTerminate(App: TAppInfo);
begin
  ShowMessage('These figures only on Windows NT/2000:' + #13#10#13#10 +
              '''' + App.Name + '''' + #13#10 +
              'Started at: ' + DateTimeToStr(App.Started) + #13#10 +
              'Ended at: ' + DateTimeToStr(App.Ended) + #13#10 +
              'Kernel time: ' + FloatToStr(App.KernelTime * 100) + ' nanoseconds' + #13#10 +
              'User time: ' + FloatToStr(App.UserTime * 100) + ' nanoseconds');
end;

procedure TForm1.Runner1AppIdle(App: TAppInfo);
begin
  MessageBeep(0);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Runner1.Stop;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Runner1.Terminate;
end;

end.
